As you may have heard, the OpenSSL Vulnerability CVE-2014-0160 (Heartbleed) has been big news in the past week. Since learning about the vulnerability, Esri staff have been performing maintenance to validate, secure, and patch Esri servers and infrastructure to close this vulnerability and ensure Esri customers are protected.

Customers should read the Knowledge Base Technical Article to determine the action required for their particular ArcGIS products and services. As an extra precaution, you may want to take a moment and change your passwords.